$color1: rgb(23, 110, 217);
$color2: rgb(72, 132, 206);

$scroll_color1: #8f8f8f;
$scroll_color2: #e1e1e1;

$window_width: 530;
$windows_height: 800;

$padding1: 30;
$padding2: 40;


$padding1: 30;
$padding2: 40;

body{
  background: $color1;
  background: linear-gradient(313deg, $color1 45%, $color2 100%);
}


.main_box{
  overflow-y: hidden;
  width: $window_width + px;
  height: $windows_height + px;
  margin: (-$windows_height/2 - $padding1) + px 0 0 (-$window_width/2 - $padding2) + px;
  position: absolute;
}

#submit{
  margin-top: 20px;
  position: relative;
  width: 230px;
  background: $color1;
  background: linear-gradient(313deg, $color1 45%, $color2 100%);
}

#submit:hover{
  background: linear-gradient(133deg, $color1 45%, $color2 100%);
}


#incorrect_login{
  margin-top: 20px;
  height: 30px;
  color: red;
  display: none !important;
}

#login{
  $windows_height: 260;
  $window_width: 300;
  height: $windows_height + px;
  width: $window_width + px;
  margin: (-$windows_height/2 - $padding1) + px 0 0 (-$window_width/2 - $padding2) + px;
  background: white;
}

#registration{
  $windows_height: 300;
  $window_width: 300;
  height: $windows_height + px;
  width: $window_width + px;
  margin: (-$windows_height/2 - $padding1) + px 0 0 (-$window_width/2 - $padding2) + px;
  background: white;
}

#registration .input_line:last-child{
  display: block;
  top: 20px;
}

#registration #submit{
  width: 100%;
}

#login .input_line:last-child{
  display: block;
  top: 20px;
}

#login #submit{
  width: 100%;
}

.registration{
  position: absolute;
  bottom: 20px;
  display: block;
  z-index: 10;
}